Page MenuHomePhabricator

Add the "Remember my choice" checkbox to the "You are not logged in" popup on mobile termbox editing, and remember user's choice
Closed, ResolvedPublic5 Story Points

Description

Given I am not logged in
And I have checked the "Remember my choice" option in the popup
When I click edit
Then I am not presented with the "You are not logged in" popup

Mock:

Acceptance Criteria:

  • There is a "remember my choice" checkbox as shown in the mock
  • The checkbox is by default checked
  • When the checkbox is unchecked, once the user clicks on either of the three buttons, it is saved that the user will not see the message ever again, but would immediately proceed to anonymous editing next time they click on the edit button anonymously

Dev note:
The choice should be persisted on user's device as a "cookie"

Event Timeline

WMDE-leszek renamed this task from Remember the choice in the "You are not logged in" popup on mobile termbox editing to Add the "Remember my choice" checkbox to the "You are not logged in" popup on mobile termbox editing, and remember user's choice.Apr 25 2019, 9:20 AM

Follow up question: Does this action need to be accompanied by a cookie pop up? Do we actually have stuff like that for Wikidata at all?

Follow up question: Does this action need to be accompanied by a cookie pop up? Do we actually have stuff like that for Wikidata at all?

I might be not answering the question you asked, but 1) Currently the Log in/Sign up bubble on desktop wikidata does not have the "remember my choice" option, and it is also generally different from the proposed one as it does allow to ignore the popup (i.e. to make an edit without making the decision in the popup), 2) if we do want to remember the choice of the editor, I believe it does have to be stored in some "cookie" (I write cookie in quotes, as it could also be local storage, or whatever browser use these days to store the user specific stuff)

Desktop used mediawiki's built-in function to store a preference. If the user is logged in then it stores this in an invisible preference and if not then in a cookie. We don't want to show the message repeatedly to logged in users just because they are using another computer.

Ah sorry. Ignore my comment. I thought we were talking about the CC 0 notification.

At the risk of adding confusion but I believe @Hanna_Petruschat_WMDE is refering to a GDPR cookie prompt [0] - an interesting product topic indeed but certainly (and pretty please) not at the heart of the termbox domain.
Queue product people: @Lydia_Pintscher @Lea_WMDE

[0] https://www.cookiebot.com/en/gdpr-cookies/

Thanks @Pablo-WMDE. This is exactly what I was going for.

@Lydia_Pintscher Even though this is not the exact ticket, it's good to read your comment, as we plan to follow exactly your described behaviour for the CC0 license in T221836

Lea_WMDE triaged this task as Normal priority.May 6 2019, 11:10 AM
Lea_WMDE updated the task description. (Show Details)
Lea_WMDE updated the task description. (Show Details)May 9 2019, 2:33 PM

Change 514300 had a related patch set uploaded (by Pablo Grass (WMDE); owner: Jakob):
[wikibase/termbox@master] Make CookieUserPreferenceRepository type-aware

https://gerrit.wikimedia.org/r/514300

Change 514300 merged by jenkins-bot:
[wikibase/termbox@master] Make CookieUserPreferenceRepository type-aware

https://gerrit.wikimedia.org/r/514300

Change 514512 had a related patch set uploaded (by Jakob; owner: Jakob):
[wikibase/termbox@master] AnonEditWarning: checkbox should be checked by default

https://gerrit.wikimedia.org/r/514512

Change 514512 merged by jenkins-bot:
[wikibase/termbox@master] AnonEditWarning: checkbox should be checked by default

https://gerrit.wikimedia.org/r/514512

Change 514524 had a related patch set uploaded (by Pablo Grass (WMDE); owner: Pablo Grass (WMDE)):
[mediawiki/extensions/Wikibase@master] termbox: update pin

https://gerrit.wikimedia.org/r/514524

Change 514524 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] termbox: update pin

https://gerrit.wikimedia.org/r/514524

We are still working on some browser tests, but this is already showing on beta.
/cc @Lea_WMDE @Hanna_Petruschat_WMDE

Lea_WMDE closed this task as Resolved.Jun 12 2019, 2:48 PM
Lea_WMDE claimed this task.